server:
  port: 3000
# 加解密根密码
jasypt:
  encryptor:
    password: yifu #根密码
# 前端界面秘钥
gateway:
  #encode-key: 'thanks,pig4cloud'
  encode-key: 'thanks,yifucloud'
# 暴露监控端点
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS

# mybaits-plus配置
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    banner: false
    db-config:
      id-type: auto
      table-underline: true
      logic-delete-value: 1
      logic-not-delete-value: 0
  configuration:
    map-underscore-to-camel-case: true

# spring security 配置
security:
  oauth2:
    client:
      client-id: ENC(pRAt3XaQaL5rFZbqyWJfpQ==)
      client-secret: ENC(V9n6n7YdBOc8Lx/XGM3Irg==)
      scope: server
    resource:
      loadBalanced: true
      token-info-uri: http://yifu-auth/oauth/check_token
    # 通用放行URL，服务个性化，请在对应配置文件覆盖
    ignore:
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**


# Spring 相关
spring:
  application:
    name: @artifactId@